IvyAntSettings
Date: 2014-12-13

org.apache.ivy.ant

## Class IvyAntSettings

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.ivy.ant.IvyAntSettings

- All Implemented Interfaces:
    java.lang.Cloneable

      public class IvyAntSettings
      extends org.apache.tools.ant.types.DataType

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IvyAntSettings.Credentials`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.DataType

      `checked, ref`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IvyAntSettings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredCredentials(IvyAntSettings.Credentials c)`
    `Ivy` | `getConfiguredIvyInstance(org.apache.tools.ant.ProjectComponent task)` Return the configured Ivy instance.
    `Ivy` | `getConfiguredIvyInstance(org.apache.tools.ant.Task task)`
    `static IvyAntSettings` | `getDefaultInstance(org.apache.tools.ant.ProjectComponent task)` Returns the default ivy settings of this classloader.
    `static IvyAntSettings` | `getDefaultInstance(org.apache.tools.ant.Task task)`
    `protected java.util.Properties` | `getDefaultProperties(org.apache.tools.ant.ProjectComponent task)`
    `java.io.File` | `getFile()`
    `java.lang.String` | `getHost()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getPasswd()`
    `java.lang.String` | `getRealm()`
    `java.net.URL` | `getUrl()`
    `java.lang.String` | `getUsername()`
    `void` | `setFile(java.io.File file)`
    `void` | `setHost(java.lang.String aHost)`
    `void` | `setId(java.lang.String id)`
    `void` | `setPasswd(java.lang.String aPasswd)`
    `void` | `setProject(org.apache.tools.ant.Project p)`
    `void` | `setRealm(java.lang.String aRealm)`
    `void` | `setUrl(java.lang.String confUrl)`
    `void` | `setUrl(java.net.URL url)`
    `void` | `setUsername(java.lang.String aUserName)`

    - ### Methods inherited from class org.apache.tools.ant.types.DataType

      `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `getDescription, getLocation, getProject, log, log, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IvyAntSettings

          public IvyAntSettings()

  - ### Method Detail

    - #### getDefaultInstance

          public static IvyAntSettings getDefaultInstance(org.apache.tools.ant.ProjectComponent task)

      Returns the default ivy settings of this classloader. If it doesn't exist yet, a new one is created using the given project to back the VariableContainer.
      Parameters:
        `project` - TODO add text.
      Returns:
        An IvySetting instance.

    - #### getDefaultInstance

          public static IvyAntSettings getDefaultInstance(org.apache.tools.ant.Task task)

    - #### getFile

          public java.io.File getFile()

    - #### getUrl

          public java.net.URL getUrl()

    - #### getPasswd

          public java.lang.String getPasswd()

    - #### setPasswd

          public void setPasswd(java.lang.String aPasswd)

    - #### getRealm

          public java.lang.String getRealm()

    - #### setRealm

          public void setRealm(java.lang.String aRealm)

    - #### getHost

          public java.lang.String getHost()

    - #### setHost

          public void setHost(java.lang.String aHost)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String aUserName)

    - #### setProject

          public void setProject(org.apache.tools.ant.Project p)

      Overrides:
        `setProject` in class `org.apache.tools.ant.ProjectComponent`

    - #### addConfiguredCredentials

          public void addConfiguredCredentials(IvyAntSettings.Credentials c)

    - #### setFile

          public void setFile(java.io.File file)

    - #### setUrl

          public void setUrl(java.lang.String confUrl)
                      throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### setUrl

          public void setUrl(java.net.URL url)

    - #### setId

          public void setId(java.lang.String id)

    - #### getId

          public java.lang.String getId()

    - #### getConfiguredIvyInstance

          public Ivy getConfiguredIvyInstance(org.apache.tools.ant.ProjectComponent task)

      Return the configured Ivy instance.
      Returns:
        Returns the configured Ivy instance.

    - #### getConfiguredIvyInstance

          public Ivy getConfiguredIvyInstance(org.apache.tools.ant.Task task)

    - #### getDefaultProperties

          protected java.util.Properties getDefaultProperties(org.apache.tools.ant.ProjectComponent task)